Page 1 of 1

[Resolved] Installer asks for VirtualBox-4.2.2-81494-MultiArch_amd64.msi

PostPosted: 22. Jun 2019, 17:43
by rick00
Hello!

I can´t install Virtual Box 6.0.8 on my Win 7 Pro x64 Host.
Completely new windows 7 system, no previous VB Versions installed.

Error Message on Install Process: "The feature you are trying to install is on a network resource that is unavaillable"
VirtualBox608_InstallError.PNG
Error Message
VirtualBox608_InstallError.PNG (26.36 KiB) Viewed 786 times


Any ideas to fix that problem?

Rick

Re: Installer asks for VirtualBox-4.2.2-81494-MultiArch_amd64.msi

PostPosted: 22. Jun 2019, 18:16
by socratis
Rick,
This is a problem with your Windows installer, trying to find an old installation. I suggest you do a complete uninstall of whatever VirtualBox previous installs you have. I see that the error is referring to VirtualBox 4.2.2, that's quite an old one. Did you have that installed before?

Previously such problems meant that the user had to download the named package (4.2.2) and not run the installer, but extracting the files (which includes the "VirtualBox-4.2.2-81494-MultiArch_amd64.msi") to a temp folder and point the installer to that file. So, download the old installer, and then run:

    VirtualBox-4.2.2-81494-Win.exe -extract
For reference, here's the link to that installer: http://download.virtualbox.org/virtualbox/4.2.2/VirtualBox-4.2.2-81494-Win.exe

Re: Installer asks for VirtualBox-4.2.2-81494-MultiArch_amd64.msi

PostPosted: 22. Jun 2019, 18:51
by rick00
Hi,
thanX for your fast response!

The hole PC is completely new installed, from the base! So there are no previous installed versions of Virtual Box, or other programms / software.
So I doesn´t have any idea why this message appears.

Rick

Re: Installer asks for VirtualBox-4.2.2-81494-MultiArch_amd64.msi

PostPosted: 22. Jun 2019, 19:19
by socratis
Me neither then, I don't really understand how you could have gotten yourself into such a situation...

But this is a problem with your MSI installer, not VirtualBox. The VirtualBox installer is a standard MSI install file. It's not VirtualBox that fails at this point, it's your Windows installer. Check to see if you have any corrupted MSI database files:

Re: Installer asks for VirtualBox-4.2.2-81494-MultiArch_amd64.msi

PostPosted: 22. Jun 2019, 19:23
by mpack
The above is no bug, Windows isn't imagining that such a specific version of VirtualBox has been installed before. This definitely is not a clean install of Windows. Most likely some other software has been installed that is derived from VirtualBox, and the installer ran from media not currently connected to the host.

Btw, moving this topic to "Windows Hosts" forum since it is also definitely not generic "Using VirtualBox" material.

Re: Installer asks for VirtualBox-4.2.2-81494-MultiArch_amd64.msi

PostPosted: 22. Jun 2019, 19:23
by socratis
You posted this originally in the "Discuss the 6.0.8 release", but since this isn't a 6.0.8 specific discussion, I split our discussion from the original thread.

I'm also moving it to the "Windows Hosts" section from the "Using VirtualBox" one.
mpack to the rescue! :)

Re: Installer asks for VirtualBox-4.2.2-81494-MultiArch_amd64.msi

PostPosted: 22. Jun 2019, 19:34
by rick00
I could fix the problem with the help of your post: "VirtualBox-4.2.2-81494-Win.exe -extract"
After unpacking the files to the temp folder the installer runs without any problems.

ThanX for your help!

Re: [Resolved] Installer asks for VirtualBox-4.2.2-81494-MultiArch_amd64.msi

PostPosted: 22. Jun 2019, 21:23
by socratis
OK then, marking it as [Resolved].

But just as mpack said, there's no way that this is a new install, or that there was another piece of software that you install (Vagrant, Docker, Minikube, Kitchen, etc.) that installed VirtualBox under the hood.